import sys, traceback
from pasteob import *
from pasteob.htmlgen import *

__all__ = ['simple_catcher']

@wapp_mw
def simple_catcher(req, app):
    try:
        r = app << req
        r.flat_app_iter()
        return r
    except:
        tb_lines = traceback.format_exception(*sys.exc_info())
        r = HtmlResponse([
            TITLE[tb_lines[-1]],
            H3["Server Error"],
            PRE[tb_lines]
            #PRE[tb_lines[:-1], BOLD[tb_lines[-1]]]
        ])
        r.status_int = 500
        return r
